Knowledge Search


×
 

2018-04 Security Bulletin: Steel-Belted Radius (SBR) Carrier: Eclipse Jetty information disclosure vulnerability (CVE-2015-2080)

  [JSA10849] Show Article Properties


Product Affected:
This issue affects Steel-Belted Radius Carrier 8.2.0, 8.3.0, 8.4.1.
Problem:

The Eclipse Jetty server used in Juniper Networks Steel-Belted Radius (SBR) Carrier is affected by an information leak vulnerability that can be exploited by network based attackers.

Jetty is enabled by default. Jetty provides the WebGUI functionality in SBR Carrier.

Affected releases of SBR Carrier are:

  • 8.2.0 versions prior to 8.2.0-R18;
  • 8.3.0 versions prior to 8.3.0-R11;
  • 8.4.1 versions prior to 8.4.1-R5;

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was discovered during an external security research.

This issue has been assigned CVE-2015-2080.

Solution:

The following software releases have been updated to resolve this specific issue: 8.2.0-R18, 8.3.0-R11, 8.4.1-R5 and all subsequent releases.

This issue is being tracked as 1330143 which is visible on the Customer Support website.

Note: Juniper SIRT's policy is not to evaluate releases which are beyond End of Engineering (EOE) or End of Life (EOL)

Workaround:

Jetty server can be disabled if functionalities like web based administration and monitoring are not required.

Jetty server can be stopped by executing the following command:

$ cd /opt/JNPRsbr/radius/website/webserver/jetty/bin/
$ ./jetty.sh stop
Stopping webserver
Webserver stopped
Implementation:
Software Releases, patches and updates are available at https://www.juniper.net/support/downloads/.
Modification History:
  • 2018-04-11: Initial Publication.

 

Related Links:
CVSS Score:
7.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N)
Risk Level:
High
Risk Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."